
#include "klinpopup.h"
#include <kuniqueapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kconfigbase.h>
#include <kconfig.h>

static const char description[] =
    I18N_NOOP("WinPopup-Client for KDE");

static const char version[] = "0.3";

KLinPopup *p_klinpopup;

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("klinpopup", I18N_NOOP("KLinPopup"), version, description,
                     KAboutData::License_GPL, "(C) 2004, 2005 Gerd Fleischer", 0, 0, "gerdfleischer@web.de");
    about.addAuthor( "Gerd Fleischer", 0, "gerdfleischer@web.de" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);
    KUniqueApplication app;

    bool runDocked;
    KConfigGroup config(KGlobal::config(), "Preferences");
    runDocked = config.readBoolEntry("RunDocked", false);

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    if (args->count() == 0) {
        KLinPopup *widget = new KLinPopup;
        p_klinpopup = widget;
        if (!runDocked)
            widget->show();
    } else {
        int i = 0;
        for (; i < args->count(); i++) {
            KLinPopup *widget = new KLinPopup;
            p_klinpopup = widget;
            if (!runDocked)
                widget->show();
        }
    }
    args->clear();

    return app.exec();
}

